cURL
curl --request GET \ --url https://api-staging.eximpe.com/partners/merchants/ \ --header 'X-Client-ID: <api-key>' \ --header 'X-Client-Secret: <api-key>'
{ "success": true, "message": "Sub-merchants retrieved successfully", "data": { "count": 4, "page": 1, "page_size": 250, "next": null, "previous": null, "results": [ { "id": "3604346598", "brand_name": "TechSubshrine", "kyc_status": "PENDING", "created_date": "2025-06-19T18:06:05.523720Z" }, { "id": "8319446548", "brand_name": "TechSubshrine", "kyc_status": "PENDING", "created_date": "2025-06-19T17:43:25.467834Z" }, { "id": "2343915596", "brand_name": "TechSubshrine", "kyc_status": "PENDING", "created_date": "2025-06-19T16:43:53.317062Z" }, { "id": "4455704961", "brand_name": "Test Name", "kyc_status": "PENDING", "created_date": "2025-06-19T08:53:22.411374Z" } ] } }
Retrieve a list of merchants with pagination.
Client app ID. You can find your app id in the merchant dashboard.
Client secret key. You can find your secret in the merchant dashboard.
A paginated list of merchants.
Show child attributes